function [value, isterminal, direction] = guard2toe(~, x)
%
% guard2toe determines when to switch from flat-feet contact to toe-off contact.
%  
global eqnhandle lf
Cop=feval(eqnhandle, 0, x, 'b');  % this is the COP from flat foot to toe off. It should be fine since the COP goes to the toe first and then the heel rises up
temp = feval(eqnhandle, 0, x, 'g');
height = temp(1);
value=[Cop-lf,height];
isterminal = [1,x(6) < 0.3];
direction = [0,0];